// types/user.ts

// 用户角色枚举
export enum UserRole {
  ADMIN = 'admin',
  USER = 'user',
  GUEST = 'guest'
}

// 用户基本信息
export interface UserInfo {
  openid: string;        // 微信返回的唯一标识，也作为用户ID使用
  nickname: string;      // 用户昵称
  avatar?: string;       // 用户头像
  role?: UserRole;       // 用户角色
}